summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2021-09-08 08:35:18 +0200
committerRemi Collet <remi@remirepo.net>2021-09-08 08:35:18 +0200
commit7e9397f9724de016c769578433b3b52269c7985a (patch)
treed5f34cc103883ba74bbabfff75c828e724fe801c
parent6837efc0e5f3d3a0ca35053f7fd48a3082157d8e (diff)
update to 3.4.0HEADmaster
keep compatibility using laminas-zendframework-bridge as this is only used using compat autolader raise dependency on zend-stdlib >= 3.6 switch to phpunit9
-rw-r--r--composer.json17
-rw-r--r--php-laminas-eventmanager.spec42
2 files changed, 36 insertions, 23 deletions
diff --git a/composer.json b/composer.json
index 7f12998..3f9c494 100644
--- a/composer.json
+++ b/composer.json
@@ -23,15 +23,15 @@
"extra": {
},
"require": {
- "php": "^7.3 || ^8.0",
- "laminas/laminas-zendframework-bridge": "^1.0"
+ "php": "^7.3 || ~8.0.0 || ~8.1.0"
},
"require-dev": {
"container-interop/container-interop": "^1.1",
- "laminas/laminas-coding-standard": "~1.0.0",
- "laminas/laminas-stdlib": "^2.7.3 || ^3.0",
- "phpbench/phpbench": "^0.17.1",
- "phpunit/phpunit": "^8.5.8"
+ "laminas/laminas-coding-standard": "~2.2.1",
+ "laminas/laminas-stdlib": "^3.6",
+ "phpbench/phpbench": "^1.1",
+ "phpspec/prophecy-phpunit": "^2.0",
+ "phpunit/phpunit": "^9.5.5"
},
"suggest": {
"container-interop/container-interop": "^1.1, to use the lazy listeners feature",
@@ -52,6 +52,7 @@
]
},
"scripts": {
+ "benchmark": "phpbench run --revs=2 --iterations=2 --report=aggregate",
"check": [
"@cs-check",
"@test"
@@ -61,7 +62,7 @@
"test": "phpunit --colors=always",
"test-coverage": "phpunit --colors=always --coverage-clover clover.xml"
},
- "replace": {
- "zendframework/zend-eventmanager": "^3.2.1"
+ "conflict": {
+ "zendframework/zend-eventmanager": "*"
}
}
diff --git a/php-laminas-eventmanager.spec b/php-laminas-eventmanager.spec
index 1beac12..2e52d86 100644
--- a/php-laminas-eventmanager.spec
+++ b/php-laminas-eventmanager.spec
@@ -13,7 +13,7 @@
%bcond_without tests
%endif
-%global gh_commit 966c859b67867b179fde1eff0cd38df51472ce4a
+%global gh_commit a93fd278c97b2d41ebbce5ba048a24e3e6f580ba
%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner laminas
%global gh_project laminas-eventmanager
@@ -23,7 +23,7 @@
%global library EventManager
Name: php-%{gh_project}
-Version: 3.3.1
+Version: 3.4.0
Release: 1%{?dist}
Summary: Trigger and listen to events within a PHP application
@@ -47,28 +47,30 @@ BuildRequires: php-reflection
BuildRequires: php-spl
# From composer, "require-dev": {
# "container-interop/container-interop": "^1.1",
-# "laminas/laminas-coding-standard": "~1.0.0",
-# "laminas/laminas-stdlib": "^2.7.3 || ^3.0",
-# "phpbench/phpbench": "^0.17.1",
-# "phpunit/phpunit": "^8.5.8"
+# "laminas/laminas-coding-standard": "~2.2.1",
+# "laminas/laminas-stdlib": "^3.6",
+# "phpbench/phpbench": "^1.1",
+# "phpspec/prophecy-phpunit": "^2.0",
+# "phpunit/phpunit": "^9.5.5"
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
BuildRequires: (php-composer(container-interop/container-interop) >= 1.1 with php-composer(container-interop/container-interop) < 2)
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-stdlib) >= 3.0 with php-autoloader(%{gh_owner}/laminas-stdlib) < 4)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-stdlib) >= 3.6 with php-autoloader(%{gh_owner}/laminas-stdlib) < 4)
+BuildRequires: (php-composer(phpspec/prophecy-phpunit) >= 2.0 with php-composer(phpspec/prophecy-phpunit) < 3)
# remirepo:4
%else
BuildRequires: php-container-interop >= 1.1
-BuildRequires: php-laminas-stdlib >= 3.0
+BuildRequires: php-laminas-stdlib >= 3.6
+BuildRequires: php-phpspec-prophecy-phpunit
+%endif
+%global phpunit %{_bindir}/phpunit9
+BuildRequires: phpunit9 >= 9.5.5
%endif
-%global phpunit %{_bindir}/phpunit8
-BuildRequires: phpunit8 >= 8.5.8
# Autoloader
BuildRequires: php-fedora-autoloader-devel
-%endif
# From composer, "require": {
-# "php": "^7.3 || ^8.0",
-# "laminas/laminas-zendframework-bridge": "^1.0"
+# "php": "^7.3 || ~8.0.0 || ~8.1.0",
Requires: php(language) >= 7.3
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
@@ -162,14 +164,17 @@ cat << 'EOF' | tee vendor/autoload.php
<?php
require_once '%{buildroot}%{php_home}/%{namespace}/%{library}/autoload.php';
\Fedora\Autoloader\Autoload::addPsr4('%{namespace}Test\\%{library}\\', dirname(__DIR__) . '/test');
+\Fedora\Autoloader\Dependencies::required([
+ '%{php_home}/Prophecy/PhpUnit/autoload.php',
+]);
require_once __DIR__ . '/../test/_autoload.php';
EOF
ret=0
-for cmdarg in "php %{phpunit}" php72 php73 php74 php80; do
+for cmdarg in "php %{phpunit}" php73 php74 php80 php81; do
if which $cmdarg; then
set $cmdarg
- $1 ${2:-%{_bindir}/phpunit8} --verbose || ret=1
+ $1 ${2:-%{_bindir}/phpunit9} --verbose || ret=1
fi
done
@@ -196,6 +201,13 @@ exit $ret
%changelog
+* Wed Sep 8 2021 Remi Collet <remi@remirepo.net> - 3.4.0-1
+- update to 3.4.0
+- keep compatibility using laminas-zendframework-bridge
+ as this is only used using compat autolader
+- raise dependency on zend-stdlib >= 3.6
+- switch to phpunit9
+
* Tue Mar 9 2021 Remi Collet <remi@remirepo.net> - 3.3.1-1
- update to 3.3.1 (no change)